Debian Bug report logs - #335899
RFA: lmodern -- scalable PostScript fonts for european character sets

version graph

Packages: lmodern, wnpp; Maintainer for lmodern is Debian TeX maintainers <debian-tex-maint@lists.debian.org>; Source for lmodern is src:lmodern. Maintainer for wnpp is wnpp@debian.org;

Reported by: Florent Rougon <f.rougon@free.fr>

Date: Wed, 26 Oct 2005 16:03:04 UTC

Severity: normal

Fixed in version lmodern/0.99.3-1

Done: Florent Rougon <frn@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, debian-tetex-maint@lists.debian.org, <wnpp@debian.org>:
Bug#335899; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Florent Rougon <f.rougon@free.fr>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, debian-tetex-maint@lists.debian.org, <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Florent Rougon <f.rougon@free.fr>
To: submit@bugs.debian.org
Subject: O: lmodern -- scalable PostScript fonts for european character sets
Date: Wed, 26 Oct 2005 17:53:57 +0200
Package: wnpp
Severity: normal

Hi,

I cannot work on lmodern anymore and am hereby orphaning it.


Description: scalable PostScript fonts for european character sets

 The Latin Modern fonts, also known as "lm fonts", are a set of
 scalable fonts in PostScript Type 1 format. They are based on the
 PostScript Type 1 version of the Computer Modern fonts and contain
 many additional characters (mostly accented ones).

 The Latin Modern fonts were generated using MetaType1, a program
 based on MetaPost for generating PostScript Type 1 fonts
 (ftp://bop.eps.gda.pl/pub/metatype1/). Their size is reasonable and
 they are usually considered to be of good quality (compared to
 cm-super, for instance; however, cm-super contains font families
 that have no equivalent in this package; additionally, there are
 character sets that are supported by cm-super and not by the Latin
 Modern fonts).

 The fonts are setup for use with the TeX typesetting system. They
 are also registered with defoma, which makes them available to other
 applications such as Ghostscript and Fontconfig. Finally, they are
 made available to the X Window System directly, which makes it
 possible to use them in any X application (however, XFree86's native
 rendering of PostScript Type 1 fonts is not fantastic at the moment,
 so the result in this last case is not so pleasant as with font
 rendering engines that perform anti-aliasing, such as FreeType).

Note: the latest upstream versions are not limited to european character
      sets anymore, since they include vietnamese characters.

-- 
Florent




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#335899; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #10 received at 335899@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@debian.org>
To: pts@qa.debian.org
Cc: 335899@bugs.debian.org, Florent Rougon <f.rougon@free.fr>, teTeX maintainers <debian-tetex-maint@lists.debian.org>
Subject: Re: Bug#335899: O: lmodern -- scalable PostScript fonts for european character sets
Date: Thu, 27 Oct 2005 10:24:58 +0200
subscribe lmodern debian-tetex-maint@lists.debian.org
thanks

Florent Rougon <f.rougon@free.fr> wrote:

> Package: wnpp
> Severity: normal
>
> Hi,
>
> I cannot work on lmodern anymore and am hereby orphaning it.

We are *not* offering to take the package, but we want to know about its
bugs and other activity.

I hope subscribing the mailing list (which is the maintainer of tetex-*)
will work,

Frank
-- 
Frank Küster
Inst. f. Biochemie der Univ. Zürich
Debian Developer




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#335899; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #15 received at 335899@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@debian.org>
To: Elrond <elrond+bugs.debian.org@samba-tng.org>
Cc: 348906@bugs.debian.org, Ralf Stubner <ralf.stubner@web.de>, 335899@bugs.debian.org
Subject: Re: Bug#348906: lmodern warnings with bullets and cdots
Date: Mon, 23 Jan 2006 18:23:07 +0100
retitle 335899 RFA: lmodern -- scalable PostScript fonts for european character sets
reassign 335899 wnpp,lmodern
thanks

Elrond <elrond+bugs.debian.org@samba-tng.org> wrote:

> Exactly my point!
>
> Thanks for clarifying.
>
> I really do like it, if Debian packages have a
> README.Debian, that gives "quick start" infos, as most
> other stuff is already prepared to "work out of the box",
> one just needs to know, how to use it "on Debian".

Note that this information is by no means Debian-specific.  We should
submit this change upstream.

Apropos "we": As a sidenote in a thread on -devel, it turned out that
our current choice of letting lmodern be orphaned and subscribing the
list to its bugs is suboptimal, since people are considering some
auto-cleanup of testing from orphaned packages with bugs (even with
non-RC bugs).  So I'm retitling the bug to RFA (request for adoption)
and make it visible also in the lmodern package's bug page, and we're
going to do a takeover-upload somewhen in the future

>> This text assumes that people who need other encodings than T1 (current
>> lmodern package supports also QX, current upstream supports at least
>> also T5) know what to change.
>> 
>> Of course, it would be better if upstream would provide better
>> documentation, so that one could refer users to 'texdoc lmodern'.
>
> As mentioned above, I like the quickstart info, if upstream
> has more docs, the above text could have some "For more
> details, see the docs in ...".

I object to that - if there *is* an upstream documentation, duplicating
this in README.Debian is superfluous (and even harmful, because it
distracts people from the cases where README.Debian in fact has
important Debian-specific information).

Regards, Frank
-- 
Frank Küster
Single Molecule Spectroscopy, Protein Folding @ Inst. f. Biochemie, Univ. Zürich
Debian Developer (teTeX)




Changed Bug title. Request was from Frank Küster <frank@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `wnpp' to `wnpp,lmodern'. Request was from Frank Küster <frank@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Florent Rougon <frn@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Florent Rougon <f.rougon@free.fr>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #24 received at 335899-close@bugs.debian.org (full text, mbox):

From: Florent Rougon <frn@debian.org>
To: 335899-close@bugs.debian.org
Subject: Bug#335899: fixed in lmodern 0.99.3-1
Date: Sat, 11 Feb 2006 08:02:17 -0800
Source: lmodern
Source-Version: 0.99.3-1

We believe that the bug you reported is fixed in the latest version of
lmodern, which is due to be installed in the Debian FTP archive:

lmodern_0.99.3-1.diff.gz
  to pool/main/l/lmodern/lmodern_0.99.3-1.diff.gz
lmodern_0.99.3-1.dsc
  to pool/main/l/lmodern/lmodern_0.99.3-1.dsc
lmodern_0.99.3-1_all.deb
  to pool/main/l/lmodern/lmodern_0.99.3-1_all.deb
lmodern_0.99.3.orig.tar.gz
  to pool/main/l/lmodern/lmodern_0.99.3.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 335899@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Florent Rougon <frn@debian.org> (supplier of updated lmodern package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 11 Feb 2006 16:38:56 +0100
Source: lmodern
Binary: lmodern
Architecture: source all
Version: 0.99.3-1
Distribution: unstable
Urgency: low
Maintainer: Debian teTeX maintainers <debian-tetex-maint@lists.debian.org>
Changed-By: Florent Rougon <frn@debian.org>
Description: 
 lmodern    - scalable PostScript fonts based on Computer Modern
Closes: 298194 335899 348906
Changes: 
 lmodern (0.99.3-1) unstable; urgency=low
 .
   * New Maintainer (Closes: #335899).
 .
   * New upstream release (Closes: #298194).
 .
   * Move map files to TEXMFMAIN [preining]
 .
   * Switch to dh_installtexfonts for map/cfg file installation [preining]
 .
   * Add compatibility for lmodern < 0.93 [ralf]
       - cork-lm.map adapted lm.map
       - cork-lm.enc -> lm-ec.enc
 .
   * Add some explanation to README.Debian on textcomp (Closes: #348906)
     [ralf]
 .
   * Change preinst logic for clean upgrades from sarge. [preining]
 .
   * Add a NEWS.Debian explaining the changes to font names. [ralf, preining]
 .
   * Add create-compat-links.sh to source package (not used anywhere; can be
     suggested to the admin in etch+1...) [ralf, preining]
Files: 
 5fdd3636934a68e5e3d162df8dac2511 829 tex optional lmodern_0.99.3-1.dsc
 d6797949a3fe9cbc7ec1b9f72cbfd50a 13792249 tex optional lmodern_0.99.3.orig.tar.gz
 2895dca1349c9bb2094e39993770f0ca 19220 tex optional lmodern_0.99.3-1.diff.gz
 891a3a3f9154df1e518490e214d0265b 10397700 tex optional lmodern_0.99.3-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFD7geRdkCUdmd1b10RAn1eAJ0ZMRKcHCdGm2rrncHNtS8Y6PLHowCguvWT
LsX7cDL850bVVAfF/nO4Fyc=
=g2d0
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 21:29:41 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 22:06:12 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.